## WMS Delete request WMS Delete request |

## Functions

QmiMessageWmsDeleteInput * | qmi_message_wms_delete_input_new ()
QmiMessageWmsDeleteInput * | qmi_message_wms_delete_input_ref ()
void | qmi_message_wms_delete_input_unref ()
gboolean | qmi_message_wms_delete_input_get_message_mode ()
gboolean | qmi_message_wms_delete_input_set_message_mode ()
gboolean | qmi_message_wms_delete_input_get_message_tag ()
gboolean | qmi_message_wms_delete_input_set_message_tag ()
gboolean | qmi_message_wms_delete_input_get_memory_index ()
gboolean | qmi_message_wms_delete_input_set_memory_index ()
gboolean | qmi_message_wms_delete_input_get_memory_storage ()
gboolean | qmi_message_wms_delete_input_set_memory_storage ()
QmiMessageWmsDeleteOutput * | qmi_message_wms_delete_output_ref ()
void | qmi_message_wms_delete_output_unref ()
gboolean | qmi_message_wms_delete_output_get_result ()
void | qmi_client_wms_delete ()
QmiMessageWmsDeleteOutput * | qmi_client_wms_delete_finish ()

## Types and Values

| QmiMessageWmsDeleteInput
| QmiMessageWmsDeleteOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageWmsDeleteInput
        ╰── QmiMessageWmsDeleteOutput

## Description

## Functions

### qmi_message_wms_delete_input_new ()

    QmiMessageWmsDeleteInput *
    qmi_message_wms_delete_input_new (void);

Allocates a new QmiMessageWmsDeleteInput.

#### Returns

the newly created QmiMessageWmsDeleteInput. The returned value should be freed with `qmi_message_wms_delete_input_unref()`.

Since: 1.0

### qmi_message_wms_delete_input_ref ()

    QmiMessageWmsDeleteInput *
    qmi_message_wms_delete_input_ref (QmiMessageWmsDeleteInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWmsDeleteInput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_wms_delete_input_unref ()

    void
    qmi_message_wms_delete_input_unref (QmiMessageWmsDeleteInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWmsDeleteInput. |

Since: 1.0

### qmi_message_wms_delete_input_get_message_mode ()

    gboolean
    qmi_message_wms_delete_input_get_message_mode
                                   (QmiMessageWmsDeleteInput *self,
                                    QmiWmsMessageMode *value_message_mode,
                                    GError **error);

Get the 'Message Mode' field from `self` .

#### Parameters

self | a QmiMessageWmsDeleteInput. |
value_message_mode | a placeholder for the output QmiWmsMessageMode, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_delete_input_set_message_mode ()

    gboolean
    qmi_message_wms_delete_input_set_message_mode
                                   (QmiMessageWmsDeleteInput *self,
                                    QmiWmsMessageMode value_message_mode,
                                    GError **error);

Set the 'Message Mode' field in the message.

#### Parameters

self | a QmiMessageWmsDeleteInput. |
value_message_mode | a QmiWmsMessageMode. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_delete_input_get_message_tag ()

    gboolean
    qmi_message_wms_delete_input_get_message_tag
                                   (QmiMessageWmsDeleteInput *self,
                                    QmiWmsMessageTagType *value_message_tag,
                                    GError **error);

Get the 'Message Tag' field from `self` .

#### Parameters

self | a QmiMessageWmsDeleteInput. |
value_message_tag | a placeholder for the output QmiWmsMessageTagType, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_delete_input_set_message_tag ()

    gboolean
    qmi_message_wms_delete_input_set_message_tag
                                   (QmiMessageWmsDeleteInput *self,
                                    QmiWmsMessageTagType value_message_tag,
                                    GError **error);

Set the 'Message Tag' field in the message.

#### Parameters

self | a QmiMessageWmsDeleteInput. |
value_message_tag | a QmiWmsMessageTagType. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_delete_input_get_memory_index ()

    gboolean
    qmi_message_wms_delete_input_get_memory_index
                                   (QmiMessageWmsDeleteInput *self,
                                    guint32 *value_memory_index,
                                    GError **error);

Get the 'Memory Index' field from `self` .

#### Parameters

self | a QmiMessageWmsDeleteInput. |
value_memory_index | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_delete_input_set_memory_index ()

    gboolean
    qmi_message_wms_delete_input_set_memory_index
                                   (QmiMessageWmsDeleteInput *self,
                                    guint32 value_memory_index,
                                    GError **error);

Set the 'Memory Index' field in the message.

#### Parameters

self | a QmiMessageWmsDeleteInput. |
value_memory_index | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_delete_input_get_memory_storage ()

    gboolean
    qmi_message_wms_delete_input_get_memory_storage
                                   (QmiMessageWmsDeleteInput *self,
                                    QmiWmsStorageType *value_memory_storage,
                                    GError **error);

Get the 'Memory Storage' field from `self` .

#### Parameters

self | a QmiMessageWmsDeleteInput. |
value_memory_storage | a placeholder for the output QmiWmsStorageType, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_delete_input_set_memory_storage ()

    gboolean
    qmi_message_wms_delete_input_set_memory_storage
                                   (QmiMessageWmsDeleteInput *self,
                                    QmiWmsStorageType value_memory_storage,
                                    GError **error);

Set the 'Memory Storage' field in the message.

#### Parameters

self | a QmiMessageWmsDeleteInput. |
value_memory_storage | a QmiWmsStorageType. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_delete_output_ref ()

    QmiMessageWmsDeleteOutput *
    qmi_message_wms_delete_output_ref (QmiMessageWmsDeleteOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWmsDeleteOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_wms_delete_output_unref ()

    void
    qmi_message_wms_delete_output_unref (QmiMessageWmsDeleteOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWmsDeleteOutput. |

Since: 1.0

### qmi_message_wms_delete_output_get_result ()

    gboolean
    qmi_message_wms_delete_output_get_result
                                   (QmiMessageWmsDeleteOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWmsDeleteOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.0

### qmi_client_wms_delete ()

    void
    qmi_client_wms_delete (QmiClientWms *self,
                           QmiMessageWmsDeleteInput *input,
                           guint timeout,
                           GCancellable *cancellable,
                           GAsyncReadyCallback callback,
                           gpointer user_data);

Asynchronously sends a Delete request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wms_delete_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWms. |
input | a QmiMessageWmsDeleteInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_wms_delete_finish ()

    QmiMessageWmsDeleteOutput *
    qmi_client_wms_delete_finish (QmiClientWms *self,
                                  GAsyncResult *res,
                                  GError **error);

Finishes an async operation started with `qmi_client_wms_delete()`.

#### Parameters

self | a QmiClientWms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wms_delete()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWmsDeleteOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wms_delete_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageWmsDeleteInput

    typedef struct _QmiMessageWmsDeleteInput QmiMessageWmsDeleteInput;

The QmiMessageWmsDeleteInput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageWmsDeleteOutput

    typedef struct _QmiMessageWmsDeleteOutput QmiMessageWmsDeleteOutput;

The QmiMessageWmsDeleteOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0